LibOFX: messages.cpp File Reference

LibOFX

Macros | Functions | Variables
messages.cpp File Reference

Message IO functionality. More...

Go to the source code of this file.

## Functions
void | show_line_number ()
int | message_out (OfxMsgType error_type, const std::string message)
| Message output function. More...

## Variables
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position
LIBOFX_API int | ofx_PARSER_msg = false
LIBOFX_API int | ofx_DEBUG_msg = false
LIBOFX_API int | ofx_DEBUG1_msg = false
LIBOFX_API int | ofx_DEBUG2_msg = false
LIBOFX_API int | ofx_DEBUG3_msg = false
LIBOFX_API int | ofx_DEBUG4_msg = false
LIBOFX_API int | ofx_DEBUG5_msg = false
LIBOFX_API int | ofx_STATUS_msg = false
LIBOFX_API int | ofx_INFO_msg = false
LIBOFX_API int | ofx_WARNING_msg = false
LIBOFX_API int | ofx_ERROR_msg = true
LIBOFX_API int | ofx_show_position = true

## Detailed Description

Message IO functionality.

Definition in file messages.cpp.

## Function Documentation

## ◆ message_out()

int message_out | ( | OfxMsgType | error_type,
|  | const std::string | message
| ) |  |

Message output function.

Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled

Definition at line 67 of file messages.cpp.

Referenced by OfxGenericContainer::add_attribute(), OfxDummyContainer::add_attribute(), OfxInv401kContainer::add_attribute(), OfxStatusContainer::add_attribute(), OFCApplication::data(), OFXApplication::data(), OFCApplication::endElement(), OFXApplication::endElement(), OFCApplication::error(), find_dtd(), OfxMainContainer::gen_event(), libofx_proc_file(), ofc_proc_sgml(), ofx_proc_file(), ofx_proc_sgml(), ofxdate_to_time_t(), OFCApplication::openEntityChange(), OFXApplication::openEntityChange(), OFCApplication::startElement(), OFXApplication::startElement(), and strip_whitespace().

## Variable Documentation

## ◆ entity_ptr

SGMLApplication::OpenEntityPtr entity_ptr

Global for determining the line number in OpenSP

Definition at line 33 of file messages.cpp.

Referenced by OFCApplication::openEntityChange(), and OFXApplication::openEntityChange().

## ◆ ofx_DEBUG1_msg

LIBOFX_API int ofx_DEBUG1_msg = false

If set to true, debug level 1 messages will be printed to the console

Definition at line 38 of file messages.cpp.

## ◆ ofx_DEBUG2_msg

LIBOFX_API int ofx_DEBUG2_msg = false

If set to true, debug level 2 messages will be printed to the console

Definition at line 39 of file messages.cpp.

## ◆ ofx_DEBUG3_msg

LIBOFX_API int ofx_DEBUG3_msg = false

If set to true, debug level 3 messages will be printed to the console

Definition at line 40 of file messages.cpp.

## ◆ ofx_DEBUG4_msg

LIBOFX_API int ofx_DEBUG4_msg = false

If set to true, debug level 4 messages will be printed to the console

Definition at line 41 of file messages.cpp.

## ◆ ofx_DEBUG5_msg

LIBOFX_API int ofx_DEBUG5_msg = false

If set to true, debug level 5 messages will be printed to the console

Definition at line 42 of file messages.cpp.

## ◆ ofx_DEBUG_msg

LIBOFX_API int ofx_DEBUG_msg = false

If set to true, general debug messages will be printed to the console

Definition at line 37 of file messages.cpp.

Referenced by message_out().

## ◆ ofx_ERROR_msg

LIBOFX_API int ofx_ERROR_msg = true

If set to true, error messages will be printed to the console

Definition at line 46 of file messages.cpp.

## ◆ ofx_INFO_msg

LIBOFX_API int ofx_INFO_msg = false

If set to true, information messages will be printed to the console

Definition at line 44 of file messages.cpp.

## ◆ ofx_PARSER_msg

LIBOFX_API int ofx_PARSER_msg = false

If set to true, parser events will be printed to the console

Definition at line 36 of file messages.cpp.

## ◆ ofx_show_position

LIBOFX_API int ofx_show_position = true

If set to true, the line number will be shown after any error

Definition at line 47 of file messages.cpp.

## ◆ ofx_STATUS_msg

LIBOFX_API int ofx_STATUS_msg = false

If set to true, status messages will be printed to the console

Definition at line 43 of file messages.cpp.

## ◆ ofx_WARNING_msg

LIBOFX_API int ofx_WARNING_msg = false

If set to true, warning messages will be printed to the console

Definition at line 45 of file messages.cpp.

## ◆ position

SGMLApplication::Position position

Global for determining the line number in OpenSP

Definition at line 34 of file messages.cpp.

Referenced by tree< OfxGenericContainer * >::append_child(), tree< OfxGenericContainer * >::append_children(), OFCApplication::data(), OFXApplication::data(), OFCApplication::endElement(), OFXApplication::endElement(), OFCApplication::error(), OFXApplication::error(), tree< OfxGenericContainer * >::flatten(), tree< OfxGenericContainer * >::insert(), tree< OfxGenericContainer * >::insert_after(), tree< OfxGenericContainer * >::insert_subtree(), tree< OfxGenericContainer * >::next_at_same_depth(), tree< OfxGenericContainer * >::next_sibling(), tree< OfxGenericContainer * >::parent(), tree< OfxGenericContainer * >::previous_sibling(), tree< OfxGenericContainer * >::reparent(), tree< OfxGenericContainer * >::replace(), OFCApplication::startElement(), and OFXApplication::startElement().